VkAcquireNextImageInfoKHR Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkSwapchainKHR | swapchain
uint64_t | timeout
VkSemaphore | semaphore
VkFence | fence
uint32_t | deviceMask

## Detailed Description

Definition at line 4855 of file vulkan_core.h.

## Field Documentation

## deviceMask

uint32_t VkAcquireNextImageInfoKHR::deviceMask

Definition at line 4862 of file vulkan_core.h.

## fence

VkFence VkAcquireNextImageInfoKHR::fence

Definition at line 4861 of file vulkan_core.h.

## pNext

const void* VkAcquireNextImageInfoKHR::pNext

Definition at line 4857 of file vulkan_core.h.

## semaphore

VkSemaphore VkAcquireNextImageInfoKHR::semaphore

Definition at line 4860 of file vulkan_core.h.

## sType

VkStructureType VkAcquireNextImageInfoKHR::sType

Definition at line 4856 of file vulkan_core.h.

## swapchain

VkSwapchainKHR VkAcquireNextImageInfoKHR::swapchain

Definition at line 4858 of file vulkan_core.h.

## timeout

uint64_t VkAcquireNextImageInfoKHR::timeout

Definition at line 4859 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h